-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- Init_GraphicsResources.lua
--
-- Description:
--   Loads a bunch of models in during creation of the model
-- loader
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

--Default model types
DefaultBox      = 0
DefaultSphere   = 1
DefaultTeapot   = 2
DefaultCylinder = 3

--Startup modes
EnableFullscreenMode(false)
--EnableBoundingVolumeVisualization(true)

-- Load in all the anticipated models
--LoadMeshFromDotX( "Assets/Models/Car.x", "DefaultCar" )
LoadMeshFromDotX( "Assets/Models/Plane.x", "Plane" )
--LoadMeshFromDotX( "Assets/Models/Box.x", "Box" )

-- Load in all the anticipated default models	
LoadDefaultMesh(DefaultSphere, "DefaultSphere")
LoadDefaultMesh(DefaultCylinder, "DefaultCylinder")

-- Prep the meshes for use
--GenerateSphericalTexCoords("DefaultCar")
GenerateSphericalTexCoords("DefaultSphere")
GenerateSphericalTexCoords("DefaultCylinder")

--ComputeNormals("DefaultCar")
ComputeNormals("DefaultSphere")
ComputeNormals("DefaultCylinder")

-- Load in all anticipated textures
LoadTextureFromFile("Assets/Textures/DebugBlack.png","DebugBlack")
LoadTextureFromFile("Assets/Textures/Objects/Car_Placeholder.png","TestTexture")
LoadTextureFromFile("Assets/Textures/Objects/Asphalt.png","Asphalt")
LoadTextureFromFile("Assets/Textures/Objects/Normal_Asphalt.jpg","NormalAsphalt")
LoadTextureFromFile("Assets/Textures/Objects/Red.png","Red")

LoadTextureFromFile("Assets/Textures/Objects/Car_1.png", "Player1Texture")
LoadTextureFromFile("Assets/Textures/Objects/Car_2.png", "Player2Texture")
LoadTextureFromFile("Assets/Textures/Objects/Car_3.png", "Player3Texture")
LoadTextureFromFile("Assets/Textures/Objects/Car_4.png", "Player4Texture")

--LoadTextureFromFile("Assets/Textures/UI/Player1.png","Player1UI")
--LoadTextureFromFile("Assets/Textures/UI/Player2.png","Player2UI")
--LoadTextureFromFile("Assets/Textures/UI/Player3.png","Player3UI")
--LoadTextureFromFile("Assets/Textures/UI/Player4.png","Player4UI")

--LoadTextureFromFile("Assets/Textures/UI/DigiPenLogo.png","DigiPenLogo")
--LoadTextureFromFile("Assets/Textures/UI/GreenLightLogo.png","GreenLightLogo")
--LoadTextureFromFile("Assets/Textures/UI/MainMenuBackground.png","MainMenuBackground")

LoadTextureFromFile("Assets/Textures/Objects/Test_Wood.jpg","Wood")

--LoadTextureFromFile("Assets/Textures/UI/StartButton_Active.png","StartButton_Active")
--LoadTextureFromFile("Assets/Textures/UI/StartButton_Inactive.png","StartButton_Inactive")
--LoadTextureFromFile("Assets/Textures/UI/OptionButton_Active.png","OptionButton_Active")
--LoadTextureFromFile("Assets/Textures/UI/OptionButton_Inactive.png","OptionButton_Inactive")
--LoadTextureFromFile("Assets/Textures/UI/ExitButton_Active.png","ExitButton_Active")
--LoadTextureFromFile("Assets/Textures/UI/ExitButton_Inactive.png","ExitButton_Inactive")