texture2D gSourceImage;

sampler CopySampler = sampler_state
{
	Texture = <gSourceImage>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = None;
    MagFilter = None;
    MipFilter = None;
};

struct InputPresentPS
{
	float4	posOut		: POSITION0;
    float2  texOut		: TEXCOORD0;
	float3	worldPosOut : TEXCOORD1;
	float3	normOut		: TEXCOORD2;
};

float4 psPresent(InputPresentPS inPS) : COLOR0
{
	return tex2D(CopySampler, inPS.texOut);
};


technique CopyTechnique
{
	pass p0
	{
		VertexShader = NULL;
		PixelShader = compile ps_2_0 psPresent();

        AlphaBlendEnable = False;        
        ZEnable = False;
	}
}
