texture2D gSourceImage;
texture2D gBlurImage;
texture2D gDepth;
float     gFocus = 1;

sampler SourceSampler = sampler_state
{
	Texture = <gSourceImage>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = None;
	MinFilter = None;
	MipFilter = None;
};

sampler BlurSampler = sampler_state
{
	Texture = <gBlurImage>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = None;
	MinFilter = None;
	MipFilter = None;
};

sampler DepthSampler = sampler_state
{
	Texture = <gDepth>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = None;
	MinFilter = None;
	MipFilter = None;
};

struct InputPresentPS
{
	float4	posOut		: POSITION0;
    float2  texOut		: TEXCOORD0;
	float3	worldPosOut : TEXCOORD1;
	float3	normOut		: TEXCOORD2;
};

float4 psPresent(InputPresentPS inPS) : COLOR0
{
	// TODO - Values hacked for now
	float t = saturate(abs(gFocus - tex2D(DepthSampler, inPS.texOut).x / 10)); // mul(float4(outVS.worldPosOut, 1.0f), VP)
	//return float4(t,t,t,1);
	return lerp(tex2D(SourceSampler, inPS.texOut), tex2D(BlurSampler, inPS.texOut), t);
	
};


technique DepthOfFieldTechnique
{
	pass p0
	{
		VertexShader = NULL;
		PixelShader = compile ps_2_0 psPresent();

        AlphaBlendEnable = False; 
        StencilEnable = False;
        ZEnable = False;
	}
}
