texture2D gFinalImage;

sampler FinalImageSampler = sampler_state
{
	Texture = <gFinalImage>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = Linear;
	MinFilter = Linear;
	MipFilter = Linear;
};

struct InputPresentPS
{
	float4	posOut		: POSITION0;
    float2  texOut		: TEXCOORD0;
	float3	worldPosOut : TEXCOORD1;
	float3	normOut		: TEXCOORD2;
};

float4 psPresent(InputPresentPS inPS) : COLOR0
{
	return tex2D(FinalImageSampler, inPS.texOut);
};


technique PresentTechnique
{
	pass p0
	{
		VertexShader = NULL;
		PixelShader = compile ps_2_0 psPresent();

		ZEnable = False;
		ZWriteEnable = False;
		StencilEnable = False;
		AlphaBlendEnable = False;
		AlphaTestEnable = False;		
		ColorWriteEnable = Red | Green | Blue | Alpha;
	}
}
