texture2D gUpSourceImage;

sampler UpSampler = sampler_state
{
	Texture = <gUpSourceImage>;
	
	AddressU = Clamp;
	AddressV = Clamp;
	
	MagFilter = None;
	MinFilter = None;
	MipFilter = None;
};

struct InputPresentPS
{
	float4	posOut		: POSITION0;
    float2  texOut		: TEXCOORD0;
	float3	worldPosOut : TEXCOORD1;
	float3	normOut		: TEXCOORD2;
};

float4 psPresent(InputPresentPS inPS) : COLOR0
{
	return tex2D(UpSampler, inPS.texOut / 2.0f);
};


technique UpTechnique
{
	pass p0
	{
		VertexShader = NULL;
		PixelShader = compile ps_2_0 psPresent();

        AlphaBlendEnable = False; 
        StencilEnable = False;
        ZEnable = False;
	}
}
